package com.sd.business.entity.purchase.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;

@Getter
@Setter
@ExcelIgnoreUnannotated
public class PurchaseInTransitBomVo {

    /**
     * bom规格 id
     */
    private Long bomSpecId;

    /**
     * 采购id
     */
    private Long purchaseId;

    /**
     * 流程id
     */
    private Long flowId;

    /**
     * bom规格编码
     */
    @ColumnWidth(20)
    @ExcelProperty(value = "品号", index = 0)
    private String bomSpecCode;

    /**
     * bom规格名称
     */
    @ColumnWidth(20)
    @ExcelProperty(value = "品名", index = 1)
    private String bomSpecName;

    /**
     * 采购单号
     */
    @ColumnWidth(20)
    @ExcelProperty(value = "采购单号", index = 2)
    private String purchaseCode;

    /**
     * e10 采购合同编号
     */
    @ColumnWidth(20)
    @ExcelProperty(value = "E10采购合同编号", index = 3)
    private String purchaseErpCode;

    /**
     * 供应商名称
     */
    @ColumnWidth(20)
    @ExcelProperty(value = "供应商名称", index = 4)
    private String supplierName;

    /**
     * 采购数量
     */
    @ExcelProperty(value = "采购数量", index = 5)
    private BigDecimal purchaseQuantity;

    /**
     * 在途数量
     */
    @ExcelProperty(value = "在途数量", index = 6)
    private BigDecimal inTransitQuantity;

    /**
     * 交付日期
     */
    @ColumnWidth(20)
    @ExcelProperty(value = "交付日期", index = 7)
    private Date deliveryDate;

    /**
     * 30天销售量
     */
    @ColumnWidth(20)
    @ExcelProperty(value = "30天销售量", index = 8)
    private BigDecimal salesQuantityThirtyDays;

    /**
     * 60天销售量
     */
    @ColumnWidth(20)
    @ExcelProperty(value = "60天销售量", index = 9)
    private BigDecimal salesQuantitySixtyDays;

    /**
     * 90天销售量
     */
    @ColumnWidth(20)
    @ExcelProperty(value = "90天销售量", index = 10)
    private BigDecimal salesQuantity;

    /**
     * 周转率
     */
    @ColumnWidth(20)
    @ExcelProperty(value = "周转率", index = 11)
    private String turnoverRate;

    /**
     * 库存数量
     */
    @ExcelProperty(value = "库存数量", index = 12)
    private BigDecimal inventoryQuantity;
}
